package corelib

import (
	"gopkg.in/boj/redistore.v1"
	"picgo/configs"
)

var SessionStore *redistore.RediStore

func NewSessionStore() {
	// Fetch new store.
	store, err := redistore.NewRediStore(10, "tcp", configs.Settings.Redis.Addr, "", []byte(configs.Settings.Redis.Password))
	if err != nil {
		panic(err)
	}
	SessionStore = store
	defer store.Close()
}
