package handler

import (
	"net/http"
	"picgo/corelib"
)

func SettingsHandler(w http.ResponseWriter, r *http.Request) {
	if r.Method == "GET" {
		data := struct {
			Title  string
			Active string
		}{
			Title:  "Admin Dashboard",
			Active: r.URL.Path,
		}
		corelib.TemplateHandler(w, r, data, "view/layout.html", "view/settings.html")
	}
}
